Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libisofs
Version:	0.6.20
Release:	1
License:	GNU/GPLv2
URL:		http://libburnia-project.org
Group:		System/Libraries
Summary:	Library to create ISO 9660 disk images
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
# needed for doxygen timestamp
Patch0:		libisofs-0.6.16-multilib.patch

#Manual build dependencies
BuildRequires: doxygen
BuildRequires: libburn-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libacl-devel

%description
Libisofs is a library to create an ISO-9660 filesystem and supports
extensions like RockRidge or Joliet. It is also a full featured
ISO-9660 editor, allowing you to modify an ISO image or multisession
disc, including file addition or removal, change of file names and
attributes etc. It supports the extension AAIP which allows to store
ACLs and xattr in ISO-9660 filesystems as well.

%package	devel
Summary:	Development files for libisofs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The libisofs-devel package contains libraries and header files for
developing applications that use libisofs.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b .multilib

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}
doxygen doc/doxygen.conf

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT README NEWS
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%doc doc/html
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 01 2009 Christian Wasem <wasem@ccux-linux.de> 0.6.20-1
- Version update
* Fri May 08 2009 Christian Wasem <wasem@ccux-linux.de> 0.6.18-1
- Version update
* Sat Apr 04 2009 Christian Wasem <wasem@ccux-linux.de> 0.6.16-1
- initial CCux package release
